Subject: Re: Running setup twice on a new install
From: Robert Collins <[email-masked]>
To: Karl M <[email-masked]>
Cc: [email-masked]
Date: Sun, 01 Feb 2004 09:19:26 +1100

On Sun, 2004-02-01 at 04:34, Karl M wrote:
> Hi All...
> 
> I did a new cygwin install last week and I again saw the following behavior: 
> I ran setup twice (one
> right after the other). In the first run everything seemed fine. On the 
> second run, setup told me I
> needed
> 
> libbz2_1: Shared libraries for bzip2 (runtime)
> 
> so I let it install it. This was on a win-xp-pro box, but I have seen it on 
> 98,2k and xp.
> 
> My question is why is this not detected on the first pass?

I don't know at this point. Possibly a bug in the loop breaking logic.
We'd need to know what loops where printout out in setup.log.full for
the first run.

Rob
-- 
GPG key available at: <http://www.robertcollins.net/keys.txt>.